package com.sunxung.factoring.entity.financing.review;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * <p>
 * 相关还款责任人附件关联表历史表
 * </p>
 *
 * @author liutao
 * @since 2023-06-27
 */
@TableName("review_guarantee_file_his")
public class ReviewGuaranteeFileHis {

    private static final long serialVersionUID = 1L;

    @TableField("id")
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 担保类信息ID：相关还款责任人信息表的ID、抵押物说明信息表的ID、质押物说明信息表的ID、抵质押基础信息表ID
     */
    @TableField("guarantee_id")
    private Long guaranteeId;

    /**
     * 附件的ID
     */
    @TableField("file_id")
    private Long fileId;

    /**
     * 担保类附件类型：相关还款责任人信息guaranteeInfo、抵押物说明信息chattelMortgage、质押信息pledgeInformation、抵质押信息主表信息mortgageInformation
     */
    @TableField("guarantee_file_type")
    private String guaranteeFileType;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getGuaranteeId() {
        return guaranteeId;
    }

    public void setGuaranteeId(Long guaranteeId) {
        this.guaranteeId = guaranteeId;
    }
    public Long getFileId() {
        return fileId;
    }

    public void setFileId(Long fileId) {
        this.fileId = fileId;
    }
    public String getGuaranteeFileType() {
        return guaranteeFileType;
    }

    public void setGuaranteeFileType(String guaranteeFileType) {
        this.guaranteeFileType = guaranteeFileType;
    }

    @Override
    public String toString() {
        return "ReviewRltRepayFileHistory{" +
            "guaranteeId=" + guaranteeId +
            ", fileId=" + fileId +
            ", guaranteeFileType=" + guaranteeFileType +
        "}";
    }
}
